<template>
  <div>
    <q-btn  style="margin-top:30px; margin-left: 105px" color="blue" icon="add" label="Tambah Kategori" />

      <div>
        <div class="q-gutter-y-md" style="width: 85%; margin: auto" >
          <template>
            <div class="q-pa-md">
              <q-markup-table flat bordered>
                <thead class="bg-teal">
                <tr>
                  <th colspan="9">
                    <div class="row no-wrap items-center">
                      <div class="text-h4 q-ml-md text-white">Daftar Referensi Kategori</div>
                    </div>
                  </th>
                </tr>
                <tr>
                  <th class="text-left">No</th>
                  <th class="">Icon Web</th>
                  <th class="">Icon Mobile</th>
                  <th class="">Kategori</th>
                  <th class="">Deskripsi</th>
                  <th class="">Status</th>
                  <th class="">Update by</th>
                  <th class="">Las update</th>
                  <th class="">Aksi</th>
                </tr>
                </thead>
                <tbody class="bg-grey-3">
                <tr>
                  <td class="">1.</td>
                  <td class=""> <q-img
                    style="width: 100px; height: 30px"
                    :ratio="1"
                    class="rounded-borders"
                    src="~assets/iconlist.jpg"
                  /></td>
                  <td class=""> <q-img
                    style="width: 70px"
                    :ratio="1"
                    class="rounded-borders"
                    src=" "
                  /></td>
                  <td class="">Investor</td>
                  <td class="">Image Kategori Investor</td>
                  <td class="">    <br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`aktif`"
                    /></td>
                  <td class="" style="text-align: center">Admin</td>
                  <td class="">06-03-2020, 15:14:11</td>
                  <td class="">     <q-btn
                    padding="none"
                    color="primary"
                    icon="edit"
                  />
                    <q-btn
                      style="margin-left: 3px"
                      padding="none"
                      color="primary"
                      icon="delete"
                    /></td>
                </tr>
                <tr>
                  <td class="">2.</td>
                  <td class=""> <q-img
                    style="width: 100px; height: 30px"
                    :ratio="1"
                    class="rounded-borders"
                    src="~assets/iconlist.jpg"
                  /></td>
                  <td class=""> <q-img
                    style="width: 70px"
                    :ratio="1"
                    class="rounded-borders"
                    src=" "
                  /></td>
                  <td class="">Investor</td>
                  <td class="">Image Kategori Investor</td>
                  <td class="">    <br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`aktif`"
                    /></td>
                  <td class="" style="text-align: center">Admin</td>
                  <td class="">06-03-2020, 15:14:11</td>
                  <td class="">     <q-btn
                    padding="none"
                    color="primary"
                    icon="edit"
                  />
                    <q-btn
                      style="margin-left: 3px"
                      padding="none"
                      color="primary"
                      icon="delete"
                    /></td>
                </tr>
                <tr>
                  <td class="">3.</td>
                  <td class=""> <q-img
                    style="width: 100px; height: 30px"
                    :ratio="1"
                    class="rounded-borders"
                    src="~assets/iconlist.jpg"
                  /></td>
                  <td class=""> <q-img
                    style="width: 70px"
                    :ratio="1"
                    class="rounded-borders"
                    src=" "
                  /></td>
                  <td class="">Investor</td>
                  <td class="">Image Kategori Investor</td>
                  <td class=""><br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`aktif`"
                    /></td>
                  <td class="" style="text-align: center">Admin</td>
                  <td class="">06-03-2020, 15:14:11</td>
                  <td class="">     <q-btn
                    padding="none"
                    color="primary"
                    icon="edit"
                  />
                    <q-btn
                      style="margin-left: 3px"
                      padding="none"
                      color="primary"
                      icon="delete"
                    /></td>
                </tr>
                </tbody>
              </q-markup-table>
            </div>
          </template>

        <p>&nbsp;</p>
      </div>
    </div>

  </div>
  </div>
</template>

<script>

export default {
  data () {
    return {
      sizes: [ 'xs' ],
      icons: [
        'navigation',
        'add_a_photo',
        'camera',
        'camera_front',
        'my_location'
      ]
    }
  }
}

</script>

<style lang="sass">
.my-sticky-header-table
  /* height or max-height is important */
  height: 310px

  .q-table__top,
  .q-table__bottom,
  thead tr:first-child th
    /* bg color is important for th; just specify one */
    background-color: #c1f4cd

  thead tr th
    position: sticky
    z-index: 1
  thead tr:first-child th
    top: 0

  /* this is when the loading indicator appears */
  &.q-table--loading thead tr:last-child th
    /* height of all previous header rows */
    top: 48px
</style>
